Skip to main content
GET
/
finetune
/
download
# Docs for v1 can be found by changing the above selector ^
from together import Together
import os

client = Together(
    api_key=os.environ.get("TOGETHER_API_KEY"),
)

# Using `with_streaming_response` gives you control to do what you want with the response.
stream = client.fine_tuning.with_streaming_response.content(ft_id="ft-id")

with stream as response:
    for line in response.iter_lines():
        print(line)
"<string>"

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ft_id
string
required

Fine-tune ID to download. A string that starts with ft-.

checkpoint_step
integer

Specifies step number for checkpoint to download. Ignores checkpoint value if set.

checkpoint
enum<string>

Specifies checkpoint type to download - merged vs adapter. This field is required if the checkpoint_step is not set.

Available options:
merged,
adapter,
model_output_path

Response

Successfully downloaded the fine-tuned model or checkpoint.

The response is of type file.